[arch-commits] Commit in sddm/repos (6 files)

Antonio Rojas arojas at archlinux.org
Thu Aug 31 15:01:44 UTC 2017


    Date: Thursday, August 31, 2017 @ 15:01:43
  Author: arojas
Revision: 304393

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  sddm/repos/testing-i686/
  sddm/repos/testing-i686/PKGBUILD
    (from rev 304392, sddm/trunk/PKGBUILD)
  sddm/repos/testing-i686/sddm.install
    (from rev 304392, sddm/trunk/sddm.install)
  sddm/repos/testing-x86_64/
  sddm/repos/testing-x86_64/PKGBUILD
    (from rev 304392, sddm/trunk/PKGBUILD)
  sddm/repos/testing-x86_64/sddm.install
    (from rev 304392, sddm/trunk/sddm.install)

-----------------------------+
 testing-i686/PKGBUILD       |   40 ++++++++++++++++++++++++++++++++++++++++
 testing-i686/sddm.install   |   15 +++++++++++++++
 testing-x86_64/PKGBUILD     |   40 ++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/sddm.install |   15 +++++++++++++++
 4 files changed, 110 insertions(+)

Copied: sddm/repos/testing-i686/PKGBUILD (from rev 304392, sddm/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2017-08-31 15:01:43 UTC (rev 304393)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+
+pkgname=sddm
+pkgver=0.15.0
+pkgrel=1
+pkgdesc='QML based X11 and Wayland display manager'
+arch=('i686' 'x86_64')
+url='http://github.com/sddm/sddm'
+license=('GPL')
+depends=('qt5-declarative' 'xorg-xauth' 'xorg-server')
+makedepends=('extra-cmake-modules' 'python-docutils' 'qt5-tools')
+install="${pkgname}.install"
+backup=('usr/share/sddm/scripts/Xsetup'
+        'etc/pam.d/sddm'
+        'etc/sddm.conf')
+provides=('display-manager')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/${pkgname}/${pkgname}/archive/v${pkgver}.tar.gz")
+sha256sums=('7a84089b2e424097664bf7cfb24bdc5896ba0eebf8d54eb77bcac6d16db1e358')
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+        -DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_BUILD_TYPE=Release \
+        -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/sddm \
+        -DDBUS_CONFIG_FILENAME=sddm_org.freedesktop.DisplayManager.conf \
+        -DBUILD_MAN_PAGES=ON
+  make
+}
+
+package() {
+  cd build
+  make DESTDIR="${pkgdir}" install
+}

Copied: sddm/repos/testing-i686/sddm.install (from rev 304392, sddm/trunk/sddm.install)
===================================================================
--- testing-i686/sddm.install	                        (rev 0)
+++ testing-i686/sddm.install	2017-08-31 15:01:43 UTC (rev 304393)
@@ -0,0 +1,15 @@
+post_install() {
+	if ! getent group sddm > /dev/null; then
+		groupadd --system sddm
+	fi
+	if ! getent passwd sddm > /dev/null; then
+		useradd -c "Simple Desktop Display Manager" --system -d /var/lib/sddm -s /usr/bin/nologin -g sddm sddm
+		passwd -l sddm > /dev/null
+	fi
+	mkdir -p /var/lib/sddm
+	chown -R sddm:sddm /var/lib/sddm > /dev/null
+}
+
+post_upgrade() {
+	post_install $1
+}

Copied: sddm/repos/testing-x86_64/PKGBUILD (from rev 304392, sddm/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2017-08-31 15:01:43 UTC (rev 304393)
@@ -0,0 +1,40 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+
+pkgname=sddm
+pkgver=0.15.0
+pkgrel=1
+pkgdesc='QML based X11 and Wayland display manager'
+arch=('i686' 'x86_64')
+url='http://github.com/sddm/sddm'
+license=('GPL')
+depends=('qt5-declarative' 'xorg-xauth' 'xorg-server')
+makedepends=('extra-cmake-modules' 'python-docutils' 'qt5-tools')
+install="${pkgname}.install"
+backup=('usr/share/sddm/scripts/Xsetup'
+        'etc/pam.d/sddm'
+        'etc/sddm.conf')
+provides=('display-manager')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/${pkgname}/${pkgname}/archive/v${pkgver}.tar.gz")
+sha256sums=('7a84089b2e424097664bf7cfb24bdc5896ba0eebf8d54eb77bcac6d16db1e358')
+
+prepare() {
+  mkdir -p build
+}
+
+build() {
+  cd build
+  cmake ../${pkgname}-${pkgver} \
+        -DCMAKE_INSTALL_PREFIX=/usr \
+        -DCMAKE_BUILD_TYPE=Release \
+        -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/sddm \
+        -DDBUS_CONFIG_FILENAME=sddm_org.freedesktop.DisplayManager.conf \
+        -DBUILD_MAN_PAGES=ON
+  make
+}
+
+package() {
+  cd build
+  make DESTDIR="${pkgdir}" install
+}

Copied: sddm/repos/testing-x86_64/sddm.install (from rev 304392, sddm/trunk/sddm.install)
===================================================================
--- testing-x86_64/sddm.install	                        (rev 0)
+++ testing-x86_64/sddm.install	2017-08-31 15:01:43 UTC (rev 304393)
@@ -0,0 +1,15 @@
+post_install() {
+	if ! getent group sddm > /dev/null; then
+		groupadd --system sddm
+	fi
+	if ! getent passwd sddm > /dev/null; then
+		useradd -c "Simple Desktop Display Manager" --system -d /var/lib/sddm -s /usr/bin/nologin -g sddm sddm
+		passwd -l sddm > /dev/null
+	fi
+	mkdir -p /var/lib/sddm
+	chown -R sddm:sddm /var/lib/sddm > /dev/null
+}
+
+post_upgrade() {
+	post_install $1
+}



More information about the arch-commits mailing list